Bug 913153 - [abrt] wget-1.14-3.fc18: _IO_vfprintf_internal: Process /usr/bin/wget was killed by signal 11 (SIGSEGV)
Summary: [abrt] wget-1.14-3.fc18: _IO_vfprintf_internal: Process /usr/bin/wget was kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wget
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza 🤓
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5d146b329bce14a0106847d7e3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-20 14:22 UTC by tkit
Modified: 2013-07-24 03:45 UTC (History)
2 users (show)

Fixed In Version: wget-1.14-5.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-22 00:38:03 UTC


Attachments (Terms of Use)
File: backtrace (259.23 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: cgroup (127 bytes, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: core_backtrace (1.40 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: dso_list (1.99 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: environ (3.02 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: maps (9.86 KB, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: open_fds (251 bytes, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: proc_pid_status (918 bytes, text/plain)
2013-02-20 14:22 UTC, tkit
no flags Details
File: var_log_messages (299 bytes, text/plain)
2013-02-20 14:23 UTC, tkit
no flags Details
Possible fix for this issue (1.48 KB, patch)
2013-04-26 12:51 UTC, Tomáš Hozza 🤓
no flags Details | Diff

Description tkit 2013-02-20 14:22:09 UTC
Description of problem:
close the terminal when using wget

Version-Release number of selected component:
wget-1.14-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        wget -q -O pci.ids http://pciids.sourceforge.net/v2.2/pci.ids
crash_function: _IO_vfprintf_internal
executable:     /usr/bin/wget
kernel:         3.7.8-202.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _IO_vfprintf_internal at vfprintf.c:1615
 #1 buffered_vfprintf at vfprintf.c:2299
 #2 _IO_vfprintf_internal at vfprintf.c:1269
 #3 ___fprintf_chk at fprintf_chk.c:36
 #4 fprintf at /usr/include/bits/stdio2.h:97
 #5 redirect_output at log.c:873
 #6 check_redirect_output at log.c:889
 #7 logprintf at log.c:533
 #8 connect_to_ip at connect.c:371
 #9 connect_to_host at connect.c:404

Comment 1 tkit 2013-02-20 14:22:30 UTC
Created attachment 700042 [details]
File: backtrace

Comment 2 tkit 2013-02-20 14:22:34 UTC
Created attachment 700043 [details]
File: cgroup

Comment 3 tkit 2013-02-20 14:22:37 UTC
Created attachment 700044 [details]
File: core_backtrace

Comment 4 tkit 2013-02-20 14:22:39 UTC
Created attachment 700045 [details]
File: dso_list

Comment 5 tkit 2013-02-20 14:22:41 UTC
Created attachment 700046 [details]
File: environ

Comment 6 tkit 2013-02-20 14:22:44 UTC
Created attachment 700047 [details]
File: limits

Comment 7 tkit 2013-02-20 14:22:51 UTC
Created attachment 700048 [details]
File: maps

Comment 8 tkit 2013-02-20 14:22:53 UTC
Created attachment 700049 [details]
File: open_fds

Comment 9 tkit 2013-02-20 14:22:57 UTC
Created attachment 700050 [details]
File: proc_pid_status

Comment 10 tkit 2013-02-20 14:23:01 UTC
Created attachment 700051 [details]
File: var_log_messages

Comment 11 Tomáš Hozza 🤓 2013-04-26 12:36:17 UTC
Hi.

Can you still reproduce your issue? I was unfortunately not, but looking
at wget source I see possible issue.

It is possible that under some specific circumstances there is fprintf call
(at log.c:873) with uninitialized char pointer.

I will attach a patch for this particular issue to this Bug. Would it be
possible for you to try wget with this patch (assuming you can still reproduce
this issue) and see if it works? If you are not able to build wget with the
patch on your own I can prepare a "scratch" RPM for you.

Thanks!

Comment 12 Tomáš Hozza 🤓 2013-04-26 12:51:37 UTC
Created attachment 740384 [details]
Possible fix for this issue

Possible fix for this issue

Comment 13 Tomáš Hozza 🤓 2013-07-11 07:18:24 UTC
Upstream accepted my patch, so I will fix the issue and close this Bug.

Comment 14 Fedora Update System 2013-07-15 07:55:45 UTC
wget-1.14-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wget-1.14-8.fc19

Comment 15 Fedora Update System 2013-07-15 08:01:43 UTC
wget-1.14-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wget-1.14-5.fc18

Comment 16 Fedora Update System 2013-07-16 01:33:57 UTC
Package wget-1.14-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wget-1.14-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13011/wget-1.14-5.fc18
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-07-22 00:38:03 UTC
wget-1.14-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-07-24 03:45:05 UTC
wget-1.14-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.